Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.factory
Class TCPIPSocketFactoryImpl.TCPIPServerSocket

    java.lang.Object
      java.net.ServerSocket
          com.stc.connector.tcpip.model.factory.TCPIPSocketFactoryImpl.TCPIPServerSocket

Enclosing class:
  TCPIPSocketFactoryImpl

    public class TCPIPSocketFactoryImpl.TCPIPServerSocket

extends java.net.ServerSocket

The ServerSocket which uses TCPIPSocket

Author:
  Vishnuvardhan P.R
See Also:
  `TCPIPSocketFactoryImpl.TCPIPSocket`

Constructor Summary
`TCPIPSocketFactoryImpl.TCPIPServerSocket(int port)` Constructor
`TCPIPSocketFactoryImpl.TCPIPServerSocket(int port, int backlog)` Constructor
`TCPIPSocketFactoryImpl.TCPIPServerSocket(int port, int backlog, java.net.InetAddress bindAddr)` Constructor

Method Summary
`java.net.Socket` | `accept()`

Methods inherited from class java.net.ServerSocket
`bind, bind, close, getChannel, getInetAddress, getLocalPort, getLocalSocketAddress, getReceiveBufferSize, getReuseAddress, getSoTimeout, implAccept, isBound, isClosed, setPerformancePreferences, setReceiveBufferSize, setReuseAddress, setSocketFactory, setSoTimeout, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TCPIPSocketFactoryImpl.TCPIPServerSocket

    public TCPIPSocketFactoryImpl.TCPIPServerSocket(int port,
                                                    int backlog,
                                                    java.net.InetAddress bindAddr)
                                             throws java.io.IOException

  Constructor

  Parameters:
    `port` - local TCP port to bind
    `backlog` - maximum length of the queue
    `bindAddr` - local InetAddress to bind
  Throws:
    `java.io.IOException`

### TCPIPSocketFactoryImpl.TCPIPServerSocket

    public TCPIPSocketFactoryImpl.TCPIPServerSocket(int port)
                                             throws java.io.IOException

  Constructor

  Parameters:
    `port` - local TCP port to bind
  Throws:
    `java.io.IOException`

### TCPIPSocketFactoryImpl.TCPIPServerSocket

    public TCPIPSocketFactoryImpl.TCPIPServerSocket(int port,
                                                    int backlog)
                                             throws java.io.IOException

  Constructor

  Parameters:
    `port` - local TCP port to bind
    `backlog` - maximum length of the queue
  Throws:
    `java.io.IOException`

Method Detail

### accept

    public java.net.Socket accept()
                           throws java.io.IOException

  Overrides:
    `accept` in class `java.net.ServerSocket`
  Throws:
    `java.io.IOException`
  See Also:
    `ServerSocket.accept()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD